package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AjusteEventoExtraDAO;
import com.rjconsultores.ventaboletos.entidad.AjusteEventoExtra;

@Repository("ajusteEventoExtraDAO")
public class AjusteEventoExtraHibernateDAO extends
		GenericHibernateDAO<AjusteEventoExtra, Integer> implements
		AjusteEventoExtraDAO {

	@Autowired
	public AjusteEventoExtraHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<AjusteEventoExtra> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

}
